package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFCJ4 extends MwfRequest<MWFCJ4, MWFCJ4Response> {

    @Parameter(name = "CAS_ROZMEZI_KONTAKTU")
    MWFCJ4 casRozmeziKontaktu(String casRozmeziKontaktu);
    @Parameter(name = "CISLO_SMLOUVY")
    MWFCJ4 cisloSmlouvy(String cisloSmlouvy);
    @Parameter(name = "CISLO_UCTU")
    MWFCJ4 cisloUctu(String cisloUctu);
    @Parameter(name = "DATUM_EXPIRACE")
    MWFCJ4 datumExpirace(java.util.Date datumExpirace);
    @Parameter(name = "DATUM_KONTAKTU")
    MWFCJ4 datumKontaktu(java.util.Date datumKontaktu);
    @Parameter(name = "EMAIL")
    MWFCJ4 email(String email);
    @Parameter(name = "HODNOTA_SUBJEKTU")
    MWFCJ4 hodnotaSubjektu(String hodnotaSubjektu);
    @Parameter(name = "JMENO")
    MWFCJ4 jmeno(String jmeno);
    @Parameter(name = "NAZEV_FIRMY")
    MWFCJ4 nazevFirmy(String nazevFirmy);
    @Parameter(name = "OBEC")
    MWFCJ4 obec(String obec);
    @Parameter(name = "OPERATOR_SSO")
    MWFCJ4 operatorSso(String operatorSso);
    @Parameter(name = "POZNAMKA")
    MWFCJ4 poznamka(String poznamka);
    @Parameter(name = "PREDNOSTNI_VYRIZENI")
    MWFCJ4 prednostniVyrizeni(Long prednostniVyrizeni);
    @Parameter(name = "PRIJMENI")
    MWFCJ4 prijmeni(String prijmeni);
    @Parameter(name = "PRIRAZENY_BANKER")
    MWFCJ4 prirazenyBanker(String prirazenyBanker);
    @Parameter(name = "SEGMENT")
    MWFCJ4 segment(String segment);
    @Parameter(name = "TELEFON")
    MWFCJ4 telefon(String telefon);
    @Parameter(name = "TELEFON2")
    MWFCJ4 telefon2(String telefon2);
    @Parameter(name = "TS_CIS_SUBJEKTU")
    MWFCJ4 tsCisSubjektu(Long tsCisSubjektu);
    @Parameter(name = "TYP_KONTAKTU")
    MWFCJ4 typKontaktu(String typKontaktu);
    @Parameter(name = "ZAJEM_O_PRODUKT")
    MWFCJ4 zajemOProdukt(String zajemOProdukt);
    @Parameter(name = "ZDROJ_KONTAKTU")
    MWFCJ4 zdrojKontaktu(String zdrojKontaktu);
}
